(defproject tservice/xps2pdf "v0.2.0"
  :min-lein-version "2.5.0"
  :deployable true

  :dependencies
  [[org.clojure/data.csv "1.0.0"]
   [me.raynes/fs "1.4.6"]
   [org.clojure/tools.logging "1.1.0"]
   [org.clojure/core.async "0.4.500"
    :exclusions [org.clojure/tools.reader]]]

  :plugins [[lein-codox "0.10.7"]]

  :codox {:output-path "docs"
          :source-uri "https://github.com/tservice-plugins/xps2pdf/blob/v{version}/{filepath}#L{line}"}

  :profiles
  {:provided
   {:dependencies
    [[org.clojure/clojure "1.10.1"]
     [org.clojars.yjcyxky/tservice "0.5.6"]]}

   :uberjar
   {:auto-clean    true
    :aot           :all
    :omit-source   true
    :javac-options ["-target" "1.8", "-source" "1.8"]
    :target-path   "target/%s"
    :resource-paths ["resources"]
    :uberjar-name  "xps2pdf.tservice-plugin.jar"}})